Clicking the topic in the header of an IRC channel with no topic and focusing something else without typing anything clears the topic

RESOLVED FIXED in 1.5

Status

Chat Core
General
--
minor
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: nhnt11, Assigned: aleth)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 3 obsolete attachments)

(Reporter)

Description

5 years ago
*** Original post on bio 2173 at 2013-09-14 22:43:00 UTC ***

Sorry if the bug title is vague, I couldn't think of a shorter way to describe this.

STR:
1. Join a channel with no topic.
2. Click topic in conversation header.
3. Click elsewhere.
4. You'll see "<nick> has cleared the topic"

IRC discussion on this: http://pastebin.instantbird.com/339113
(Assignee)

Comment 1

5 years ago
Created attachment 8354658 [details] [diff] [review]
Patch

*** Original post on bio 2173 as attmnt 2888 at 2013-09-15 14:39:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354658 - Flags: review?(clokep)
(Assignee)

Updated

5 years ago
Assignee: nobody → aleth
Status: NEW → ASSIGNED
(Assignee)

Updated

5 years ago
Component: IRC → General
OS: Other → All
Hardware: x86 → All
(Assignee)

Comment 2

5 years ago
Created attachment 8354660 [details] [diff] [review]
Patch

*** Original post on bio 2173 as attmnt 2890 at 2013-09-15 15:31:00 UTC ***

Fixes another bug on the UI side which always set the topic when the topic was empty, because always "" != "No topic message for this room" ;)
Attachment #8354660 - Flags: review?(clokep)
(Assignee)

Comment 3

5 years ago
Comment on attachment 8354658 [details] [diff] [review]
Patch

*** Original change on bio 2173 attmnt 2888 at 2013-09-15 15:31:46 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354658 - Attachment is obsolete: true
Attachment #8354658 - Flags: review?(clokep)
(Assignee)

Comment 4

5 years ago
Created attachment 8354661 [details] [diff] [review]
Patch

*** Original post on bio 2173 as attmnt 2891 at 2013-09-15 15:37:00 UTC ***

Removes dump()s.
Attachment #8354661 - Flags: review?(clokep)
(Assignee)

Comment 5

5 years ago
Comment on attachment 8354660 [details] [diff] [review]
Patch

*** Original change on bio 2173 attmnt 2890 at 2013-09-15 15:37:14 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354660 - Attachment is obsolete: true
Attachment #8354660 - Flags: review?(clokep)
(Assignee)

Comment 6

5 years ago
Created attachment 8354662 [details] [diff] [review]
Patch

*** Original post on bio 2173 as attmnt 2892 at 2013-09-15 15:45:00 UTC ***

One more attempt to get rid of dumps...
Attachment #8354662 - Flags: review?(clokep)
(Assignee)

Comment 7

5 years ago
Comment on attachment 8354661 [details] [diff] [review]
Patch

*** Original change on bio 2173 attmnt 2891 at 2013-09-15 15:45:29 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354661 - Attachment is obsolete: true
Attachment #8354661 - Flags: review?(clokep)
Comment on attachment 8354662 [details] [diff] [review]
Patch

*** Original change on bio 2173 attmnt 2892 at 2013-09-15 18:35:25 UTC ***

I tested this and it seems to work OK. Florian should probably take a look before committing this.
Attachment #8354662 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2173 at 2013-09-22 23:37:55 UTC ***

Thanks. :)

http://hg.instantbird.org/instantbird/rev/8d4d3e2c9620
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.